package com.ejie.m62fb.model.tipos;

public class TipoPromotor extends AbstractTipoGenericoR09 {

	private static final long serialVersionUID = 1L;

	/**
	 * Valor que hace referencia al campo de BBDD
	 * 
	 * NUM_REGISTRO
	 */
	public static final String NUM_REGISTRO = R09Tipos.TIPO_PROMOTOR;

	/**
	 * Method 'TipoPromotor'.
	 */
	public TipoPromotor() {
		super(TipoPromotor.NUM_REGISTRO);
	}

	/**
	 * Method 'TipoPromotor'.
	 * 
	 * @param idElereg
	 *            String
	 */
	public TipoPromotor(String idElereg) {
		super(TipoPromotor.NUM_REGISTRO, idElereg);
	}

	/**
	 * Method 'TipoPromotor'.
	 * 
	 * @param idElereg
	 *            String
	 * @param descripcionEs
	 *            String
	 * @param descripcionEu
	 *            String
	 */
	public TipoPromotor(String idElereg, String descripcionEs,
			String descripcionEu) {
		super(TipoPromotor.NUM_REGISTRO, idElereg, descripcionEs, descripcionEu);
	}
}